Last modified: 2014-03-20 13:48:14 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 24194 - New edit toolbar isn't displayed in IE8 (goes into compatibility mode and acts like IE7)
New edit toolbar isn't displayed in IE8 (goes into compatibility mode and act...
Status: RESOLVED WORKSFORME
Product: MediaWiki extensions
Classification: Unclassified
WikiEditor (Other open bugs)
unspecified
All All
: Normal major (vote)
: ---
Assigned To: Nobody - You can work on this!
: testme
Depends on: 25378
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-30 21:36 UTC by yonidebest
Modified: 2014-03-20 13:48 UTC (History)
7 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description yonidebest 2010-06-30 21:36:26 UTC
The new edit toolbar isn't displayed. Changing the edit toolbar preferences
doesn't help. Instead, the old toolbar is displayed (and works).

It happens in IE8.0.6001.18882 on Vista. It doesn't happen on FF3.5.6 on same
computer (works fine).

Roan says:
"This is because IE8 goes into compatibility mode on Wikipedia, causing it to
act like IE7. IE7 has certain RTL-related bugs that mess up the toolbar, so it
disables itself."

Thanks
Comment 1 Dan Collins 2011-07-09 02:27:58 UTC
It seems that unless we can work around IE7's RTL-related shortcomings, the only solution is the current one, to fall back to a working toolbar. I can't test this to see if it's still present, as I don't have IE8, but it should also be determined whether this works on IE9 or not.
Comment 2 Bugmeister Bot 2011-08-19 19:12:53 UTC
Unassigning default assignments. http://article.gmane.org/gmane.science.linguistics.wikipedia.technical/54734
Comment 3 db [inactive,noenotif] 2012-11-09 19:07:11 UTC
Sounds like the WikiEditor, moved to that extension
Comment 4 db [inactive,noenotif] 2013-10-17 17:27:53 UTC
WikiEditor is enabled for IE>=7, so it sounds like it should work.

yonidebest, is this still a issue?
Comment 5 Andre Klapper 2013-11-22 15:31:22 UTC
yonidebest, is this still a issue?
Comment 6 Andre Klapper 2013-12-18 14:47:46 UTC
yonidebest, is this still a issue?
Comment 7 Bartosz Dziewoński 2014-01-14 21:39:48 UTC
Someone should retriage this with the parent bug 25378 now fixed.
Comment 8 Andre Klapper 2014-03-20 13:48:14 UTC
Unfortunately closing this report as no further information has been provided though reporter was asked several times. Hence assuming it's fixed.

yonidebest: Please feel free to reopen this report if you can provide the information asked for and if this still happens. Thanks!

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links